Skip to navigation

List documents in envelope

View as Markdown

Retrieves a list of documents associated with the specified envelope.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

envelopeIdstringRequired

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

Query parameters

documents_by_useridstringOptional

When true, allows recipients to get documents by their user id. For example, if a user is included in two different routing orders with different visibilities, using this parameter returns all of the documents from both routing orders.

include_agreement_typestringOptional
include_docgen_formfieldsstringOptional
Reserved for Docusign.
include_is_editedstringOptional
include_metadatastringOptional

When true, the response includes metadata that indicates which properties the sender can edit.

include_tabsstringOptional
Reserved for Docusign.
recipient_idstringOptional

Allows the sender to retrieve the documents as one of the recipients that they control. The documents_by_userid parameter must be set to false for this to work.

shared_user_idstringOptional

The ID of a shared user that you want to impersonate in order to retrieve their view of the list of documents. This parameter is used in the context of a shared inbox (i.e., when you share envelopes from one user to another through the Docusign Admin console).

Response

Successful response.
envelopeDocumentslist of objectsOptional
An array containing information about the documents that are included in the envelope.
envelopeIdstringOptional
The envelope ID.

Errors

400
Bad Request Error